Create a virtual card with specified amount loaded, linked to the specified profile and allocated to the profile owner.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| loadAmount | Integer | ✓ | Amount loaded on card; ; NB. A Virtual Card can be created without having any amount loaded on it | |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>CreateVirtualCard</methodName>
<params>
<param>
<value>
<string>1234567890</string>
</value>
</param>
<param>
<value>
<string>P12345</string>
</value>
</param>
<param>
<value>
<int>1000</int>
</value>
</param>
<param>
<value>
<string>T987654321</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>2023-11-08T12:34:56</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>f1a2cbe3d45e67ec8c9d1234a58e49f98a1c</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo |
| profileNumber | String | Echo |
| loadAmount | Integer | Echo |
| voucherNumber | String | 16 digit card number of the created virtual card |
| cvv | String | The CVV for the created virtual card |
| expires | String | Expiry date for the created virtual card (mm/yyyy) |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction ID number generated by Paymentology |
| resultCode | Integer | Status code indicating the method call result |
| resultText | String | Status text indicating the method call result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>1234567890</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>P12345</string>
</value>
</member>
<member>
<name>loadAmount</name>
<value>
<int>1000</int>
</value>
</member>
<member>
<name>voucherNumber</name>
<value>
<string>1234567890123456</string>
</value>
</member>
<member>
<name>cvv</name>
<value>
<string>123</string>
</value>
</member>
<member>
<name>expires</name>
<value>
<string>12/2023</string>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>T987654321</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>ST123456789</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>200</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Virtual card created successfully</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>